Support » Plugin: Duplicator - WordPress Migration Plugin » Transfer from WP 4.9.9 to WP 5.0

  • Resolved wurstpresse

    (@wurstpresse)


    Hello,

    I created a brand new website version (not live) and wanted to transfer with duplicator to my old version website (live). I wanted to use duplicator. So the new website I created is wp 4.9.9. Unfortunately the hoster of my old website automatically updated to wp 5.0.

    I heard that wp 5.0 is not backward compatible! Can I expect dificulties doing this transfer with duplicator from 4.9.9 to 5.0?

    Thanks for your help

Viewing 5 replies - 1 through 5 (of 5 total)
  • I’m an just a Duplicator user, but am in the process of updating sites over weeks. I think what you are saying is that your host will only allow you to set up a website beginning with the latest WP release – 5.0.1. However, following the best practice for installing a website using Duplicator, you should delete the previous files and run installer.php which will reinstall the version within the package you created – 4.9.9 as you say. When you log into your dash, expect to see WP update nags.

    As far as backward compatibility, I have not experienced any WP theme conflicts yet. (Only work with 3 themes across a number of sites and my own custom builds so it isn’t a huge sampling). However, there might be some plugins that get quirky, especially ones that haven’t gotten attention from the authors in a while (over a year?). The main difference for a website user in the newest version is the way you edit posts and pages which you can see here: https://wordpress.org/news/2018/12/bebo/

    But as stated there, you can revert to the old style with a plugin.

    Plugin Author Cory Lamle

    (@corylamleorg)

    I think @johnwp413 summed it up pretty good! I would add to note that if you ever have any concerns about a possible migration to always test it in a sandbox area first to make sure things go as planned.

    Cheers~

    Thread Starter wurstpresse

    (@wurstpresse)

    Not really sure if I understand you correct! So it will be possible to “overwrite” my current 5.0.2 website with my 4.9.9 version with using duplicator?

    Change “overwrite” to “replace” and perhaps that is more clear. When you execute the installer script for a Duplicator package, you are essentially moving all files from one location to another, WordPress and all.

    Again, as a user I am not “instructing” you. But in every instance where I use Duplicator to move back and forth from development/staging to a live host, my first step is always to remove the old (delete). Then you “replace” everything with the new, including database entries, etc. So whether or not your “space” for a website was setup or configured with a different version of WP isn’t that important. You are essentially removing it to install what you have packaged with Duplicator.

    Hope that helps!

    Plugin Author Cory Lamle

    (@corylamleorg)

    The Pro version does have “overwrite” capabilities, however, it is more of an advanced feature and we still recommend users start from a clean slate. Anytime files get intermixed there are higher chances of issues, as @johnwp413 mentions it is a best practice to start from an empty directory.

    Cheers~

Viewing 5 replies - 1 through 5 (of 5 total)
  • The topic ‘Transfer from WP 4.9.9 to WP 5.0’ is closed to new replies.